Loading...
Searching...
No Matches
pdftron::PDF::BorderStyle Class Reference

`#include <Annot.h>`

## Public Types
enum | Style { e_solid , e_dashed , e_beveled , e_inset , e_underline }

## Public Member Functions
| BorderStyle (Style s, double b_width, double b_hr=0, double b_vr=0)
| BorderStyle (Style s, double b_width, double b_hr, double b_vr, const std::vector< double > &b_dash)
| BorderStyle (const BorderStyle &)
| ~BorderStyle ()
void | Destroy ()
BorderStyle & | operator= (const BorderStyle &)
Style | GetStyle () const
void | SetStyle (Style style)
double | GetHR () const
void | SetHR (double horizontal_radius)
double | GetVR () const
void | SetVR (double vertical_radius)
double | GetWidth () const
void | SetWidth (double width)
std::vector< double > | GetDash () const
void | SetDash (const std::vector< double > &dash)
| BorderStyle (TRN_AnnotBorderStyle impl)
| BorderStyle ()

## Friends
class | PDF::Annot
bool | operator== (const BorderStyle &a, const BorderStyle &b)
bool | operator!= (const BorderStyle &a, const BorderStyle &b)

## Detailed Description

BorderStyle structure specifies the characteristics of the annotation's border. The border is specified as a rounded rectangle.

Definition at line 687 of file Annot.h.

## Member Enumeration Documentation

## ◆ Style

enum pdftron::PDF::BorderStyle::Style

The border style

Enumerator
e_solid | A solid rectangle surrounding the annotation.
e_dashed | A dashed rectangle surrounding the annotation.
e_beveled | A simulated embossed rectangle that appears to be raised above the surface of the page.
e_inset | A simulated engraved rectangle that appears to be recessed below the surface of the page.
e_underline | A single line along the bottom of the annotation rectangle.

Definition at line 693 of file Annot.h.

## Constructor & Destructor Documentation

## ◆ BorderStyle() [1/5]

pdftron::PDF::BorderStyle::BorderStyle | ( | Style | s,
|  | double | b_width,
|  | double | b_hr = 0,
|  | double | b_vr = 0 )

Creates a new border style with given parameters.

Parameters

  s | The border style.
  b_width | The border width expressed in the default user space.
  b_hr | The horizontal corner radius expressed in the default user space.
  b_vr | The vertical corner radius expressed in the default user space.

Note
  If the corner radii are 0, the border has square (not rounded) corners; if the border width is 0, no border is drawn.

## ◆ BorderStyle() [2/5]

pdftron::PDF::BorderStyle::BorderStyle | ( | Style | s,
|  | double | b_width,
|  | double | b_hr,
|  | double | b_vr,
|  | const std::vector< double > & | b_dash )

Creates a new border style with given parameters.

Parameters

  s | The border style.
  b_width | The border width expressed in the default user space.
  b_hr | The horizontal corner radius expressed in the default user space.
  b_vr | The vertical corner radius expressed in the default user space.
  b_dash | An array of numbers defining a pattern of dashes and gaps to be used in drawing the border. The dash array is specified in the same format as in the line dash pattern parameter of the graphics state except that the phase is assumed to be 0.

Note
  If the corner radii are 0, the border has square (not rounded) corners; if the border width is 0, no border is drawn.

## ◆ BorderStyle() [3/5]

pdftron::PDF::BorderStyle::BorderStyle | ( | const BorderStyle & |  | ) |

## ◆ ~BorderStyle()

pdftron::PDF::BorderStyle::~BorderStyle | ( |  | ) |

## ◆ BorderStyle() [4/5]

pdftron::PDF::BorderStyle::BorderStyle | ( | TRN_AnnotBorderStyle | impl | ) |

## ◆ BorderStyle() [5/5]

pdftron::PDF::BorderStyle::BorderStyle | ( |  | ) |
| inline

Definition at line 794 of file Annot.h.

## Member Function Documentation

## ◆ Destroy()

void pdftron::PDF::BorderStyle::Destroy | ( |  | ) |

Frees the native memory of the object.

## ◆ GetDash()

std::vector< double > pdftron::PDF::BorderStyle::GetDash | ( |  | ) | const

Returns
  the border dash pattern.

See also
  BorderStyle()

## ◆ GetHR()

double pdftron::PDF::BorderStyle::GetHR | ( |  | ) | const

Returns
  horizontal corner radius.

## ◆ GetStyle()

Style pdftron::PDF::BorderStyle::GetStyle | ( |  | ) | const

Returns
  the border style.

## ◆ GetVR()

double pdftron::PDF::BorderStyle::GetVR | ( |  | ) | const

Returns
  vertical corner radius.

## ◆ GetWidth()

double pdftron::PDF::BorderStyle::GetWidth | ( |  | ) | const

Returns
  the border width.

## ◆ operator=()

BorderStyle & pdftron::PDF::BorderStyle::operator= | ( | const BorderStyle & |  | ) |

## ◆ SetDash()

void pdftron::PDF::BorderStyle::SetDash | ( | const std::vector< double > & | dash | ) |

Sets the border dash pattern.

See also
  BorderStyle()

## ◆ SetHR()

void pdftron::PDF::BorderStyle::SetHR | ( | double | horizontal_radius | ) |

Sets horizontal corner radius.

Parameters

  horizontal_radius | A number representing the value of the horizontal radius to set the annotation to.

## ◆ SetStyle()

void pdftron::PDF::BorderStyle::SetStyle | ( | Style | style | ) |

Sets the border style.

## ◆ SetVR()

void pdftron::PDF::BorderStyle::SetVR | ( | double | vertical_radius | ) |

Sets vertical corner radius.

Parameters

  vertical_radius | A number representing the value of the vertical radius to set the annotation to.

## ◆ SetWidth()

void pdftron::PDF::BorderStyle::SetWidth | ( | double | width | ) |

Sets the border width

Parameters

  width | A number representing the width value to set the annotation to.

## Friends And Related Symbol Documentation

## ◆ operator!=

bool operator!= | ( | const BorderStyle & | a,
|  | const BorderStyle & | b )
| friend

Definition at line 736 of file Annot.h.

## ◆ operator==

bool operator== | ( | const BorderStyle & | a,
|  | const BorderStyle & | b )
| friend

## ◆ PDF::Annot

friend class PDF::Annot
| friend

Definition at line 796 of file Annot.h.

The documentation for this class was generated from the following file:

- PDF/Annot.h